// Get the modal
var modalPopup = document.getElementById("termsModal");
			
// Get the button that opens the modal
var showPopupBtn = document.getElementById("show_popup_btn");

// Get the <span> element that closes the modal
var btnSpan = document.getElementsByClassName("cancel_btn")[0];
            
// When the user clicks the button, open the modal 
showPopupBtn.onclick = function() {
	if($("#chief_name").val() == "" || $("#chief_name").val().getByteLen() > 10){
		alert("성명을 확인해 주시기 바랍니다.(최소 1자리 ~ 최대 5자리)");
		$("#chief_name").focus();
		
		return false;
	}
	
	var replacedPhoneNo = $("#hand_phone_no").val().replace(/[^0-9]/g, "");
	
	if(replacedPhoneNo.getByteLen() > 11 || replacedPhoneNo.getByteLen() < 10){
		alert("연락처를 확인해 주시기 바랍니다.");
		$("#hand_phone_no").focus();
		
		return false;
	}
	else{
		$("#hand_phone_no").val(replacedPhoneNo);
	}
	
	$("input:radio[name=termscheck][value=disagree]").prop("checked", true).trigger("click");
    // modalPopup.style.display = "block";
    // $("#termsModal").stop().slideDown(500);
    $("#termsModal").animate({ top: "0" }, 500);
}

// When the user clicks on <span> (x), close the modal
btnSpan.onclick = function() {
    // modalPopup.style.display = "none";
    // $("#termsModal").stop().slideUp(500);
    $("#termsModal").animate({ top: "-120%" }, 500);
}

// When the user clicks anywhere outside of the modal, close it
/* window.onclick = function(event) {
    if (event.target == modalPopup) {
        modalPopup.style.display = "none";
    }
} */



/* 동의 체크시 약관 슬라이드 */

$(document).ready(function(){
 
    // 라디오버튼 클릭시 이벤트 발생
    $("input:radio[name=termscheck]").click(function(){
        if($("input[name=termscheck]:checked").val() == "agree"){
            $(".terms_modal .text_box_wrap").slideDown();
        }else if($("input[name=termscheck]:checked").val() == "disagree"){
            $(".terms_modal .text_box_wrap").slideUp();
        }
    });
});
